"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TooltipMenuItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TooltipMenuItem = _ref => {
  let {
    onPress,
    containerStyle,
    label,
    labelStyle,
    testID
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: testID,
    style: [styles.container, containerStyle],
    onPress: onPress
  }, typeof label === 'string' ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [labelStyle]
  }, label) : label());
};

exports.TooltipMenuItem = TooltipMenuItem;
TooltipMenuItem.defaultProps = {
  labelStyle: null,
  containerStyle: null,
  touchableStyle: null,
  testID: undefined
};

const styles = _reactNative.StyleSheet.create({
  container: {
    padding: 10
  }
});
//# sourceMappingURL=TooltipMenuItem.js.map