import { ReactNode } from 'react';
import { ViewStyle, TouchableOpacityProps } from 'react-native';
declare type WidthType = 'auto' | 'half' | 'full';
declare type TrianglePosition = 'left' | 'center' | 'right';
declare type Props = {
    children: ReactNode;
    items: {
        label: string | (() => ReactNode);
        onPress: () => void;
        testID?: string;
    }[];
    style?: TouchableOpacityProps['style'];
    overlayStyle?: ViewStyle;
    labelContainerStyle?: ViewStyle;
    modalButtonStyle?: ViewStyle;
    labelStyle?: ViewStyle;
    widthType?: WidthType;
    onRequestClose?: () => void;
    trianglePosition?: TrianglePosition;
};
export declare const TooltipMenu: {
    ({ children, items, style, overlayStyle, widthType, labelContainerStyle, labelStyle, modalButtonStyle, onRequestClose, trianglePosition, }: Props): JSX.Element;
    defaultProps: {
        widthType: string;
        onRequestClose: () => void;
        trianglePosition: string;
    };
};
export {};
